
-- leave me
	local actor = ACTOR_preload()
-- leave me

	actor[cp_actor_name]			= bullet_actor_name
	actor[cp_model_dir]				= "player"
	actor[cp_model_name]			= bullet_model_name

	actor[cp_actor_type]			= cat_bullet + cat_player

	bullet_power = 10.0
	actor[cp_hit_power]				= bullet_power
--	actor[cp_launch_scale_min]		= 75.0
	actor[cp_player_bullet_rate]	= bullet_rate

	actor[cp_bullet_spray_angle]	= 25.0

-- leave me
	c_preload_model( actor )
-- leave me

	local seq = { 0.0 }
	c_set_use_explosion_for( "hit_active_bone", "pb_nullhit", exp_align, 0.0, 0.06, 400.0, 800.0, seq )

	local seq = { 0.0 }
	c_set_use_explosion_for( "hit_null_bone", "pb_nullhit", exp_align, 0.0, 0.06, 400.0, 800.0, seq )
	c_add_sound_to_anim( "fire", bullet_sound )

